## fuzzel 1.8.2

=== meson_options.txt ===
option('enable-cairo', type: 'feature', description: 'use cairo; required for rounded corners and SVG icons (librsvg backend)')
option('png-backend', type: 'combo', choices: ['none', 'libpng'], value: 'libpng', description: 'enable support for PNG icons')
option('svg-backend', type: 'combo', choices: ['none', 'librsvg', 'nanosvg'], value: 'nanosvg', description: 'enables support for SVG icons (librsvg: also requires cairo, nanosvg: bundled)')

=== debian/changelog ===
fuzzel (1.8.2-2) unstable; urgency=medium

  * Add libutf8proc-dev to Build-Depends to fix FTBFS with fcft >= 3.1.5-2

 -- Peter Colberg <peter@colberg.org>  Tue, 29 Nov 2022 21:37:05 -0500

fuzzel (1.8.2-1) unstable; urgency=medium

  * Initial release (Closes: #982140)

 -- Peter Colberg <peter@colberg.org>  Sat, 19 Nov 2022 15:15:46 -0500

=== debian/control ===
Source: fuzzel
Section: x11
Priority: optional
Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
Uploaders:
 Peter Colberg <peter@colberg.org>,
Build-Depends:
 debhelper-compat (= 13),
 libcairo2-dev,
 libfcft-dev (>= 3.0.0),
 libharfbuzz-dev,
 libpixman-1-dev,
 libutf8proc-dev,
 libpng-dev,
 libtllist-dev,
 libwayland-dev,
 libxkbcommon-dev,
 meson (>= 0.58),
 ninja-build,
 pkg-config,
 scdoc,
 wayland-protocols,
Standards-Version: 4.6.1
Homepage: https://codeberg.org/dnkl/fuzzel
Vcs-Git: https://salsa.debian.org/swaywm-team/fuzzel.git
Vcs-Browser: https://salsa.debian.org/swaywm-team/fuzzel
Rules-Requires-Root: no

Package: fuzzel
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Application launcher for wlroots based Wayland compositors
 Fuzzel is a Wayland-native application launcher, similar to rofi's drun mode.
 .
 Features:
  * Wayland native
  * Rofi drun-like mode of operation
  * dmenu mode where newline separated entries are read from stdin
  * Emacs key bindings
  * Icons!
  * Remembers frequently launched applications

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	rm -f debian/fuzzel/usr/share/doc/fuzzel/LICENSE

=== debian/watch ===
version=4
opts="searchmode=plain,filenamemangle=s#.+/(\d[\d.]+)\.tar\.gz#fuzzel-$1.tar.gz#" \
https://codeberg.org/api/v1/repos/dnkl/fuzzel/tags \
https://codeberg.org/dnkl/fuzzel/archive/(\d[\d.]+)\.tar\.gz

## fuzzel 1.9.2

=== debian/changelog ===
fuzzel (1.9.2-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 05:28:53 +0000

fuzzel (1.9.2-1build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 06:34:58 +0000

fuzzel (1.9.2-1) unstable; urgency=medium

  * New upstream release (Closes: #1041245)
  * Bump standards version
  * Add hicolor-icon-theme which fuzzel uses by default to Recommends

 -- Peter Colberg <peter@colberg.org>  Sun, 16 Jul 2023 17:18:06 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: fuzzel
 Section: x11
 Priority: optional
-Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
 Uploaders:
  Peter Colberg <peter@colberg.org>,
 Build-Depends:
@@ -10,9 +11,9 @@
  libfcft-dev (>= 3.0.0),
  libharfbuzz-dev,
  libpixman-1-dev,
- libutf8proc-dev,
  libpng-dev,
  libtllist-dev,
+ libutf8proc-dev,
  libwayland-dev,
  libxkbcommon-dev,
  meson (>= 0.58),
@@ -20,7 +21,7 @@
  pkg-config,
  scdoc,
  wayland-protocols,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://codeberg.org/dnkl/fuzzel
 Vcs-Git: https://salsa.debian.org/swaywm-team/fuzzel.git
 Vcs-Browser: https://salsa.debian.org/swaywm-team/fuzzel
@@ -32,6 +33,8 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+Recommends:
+ hicolor-icon-theme,
 Description: Application launcher for wlroots based Wayland compositors
  Fuzzel is a Wayland-native application launcher, similar to rofi's drun mode.
  .

## fuzzel 1.11.1+ds

=== debian/changelog ===
fuzzel (1.11.1+ds-2) unstable; urgency=medium

  * Resolve FTBFS on some non-x86 archs due to false-positive use-after-free
    (Closes: #1085245)

 -- Peter Colberg <peter@colberg.org>  Sat, 02 Nov 2024 11:40:34 -0400

fuzzel (1.11.1+ds-1) unstable; urgency=medium

  * New upstream release
  * Build-depend on pkgconf in place of obsolete pkg-config
  * Exclude vendored nanosvg library from source tarball
  * Link against system-provided nanosvg library.
    Thanks to Matthias Geiger (Closes: #1060090)
  * Add Static-Built-Using with nanosvg version
  * Add repack suffix +ds to source tarball

 -- Peter Colberg <peter@colberg.org>  Sat, 14 Sep 2024 12:38:24 -0400

fuzzel (1.10.2-1) unstable; urgency=medium

  * New upstream release (Closes: #1078784)
  * Bump Standards-Version to 4.7.0

 -- Peter Colberg <peter@colberg.org>  Sun, 18 Aug 2024 15:49:45 -0400

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: fuzzel
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
+Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
 Uploaders:
  Peter Colberg <peter@colberg.org>,
 Build-Depends:
  debhelper-compat (= 13),
+ dh-sequence-builtusing,
  libcairo2-dev,
  libfcft-dev (>= 3.0.0),
  libharfbuzz-dev,
+ libnanosvg-dev,
  libpixman-1-dev,
  libpng-dev,
  libtllist-dev,
@@ -18,10 +19,10 @@
  libxkbcommon-dev,
  meson (>= 0.58),
  ninja-build,
- pkg-config,
+ pkgconf,
  scdoc,
  wayland-protocols,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://codeberg.org/dnkl/fuzzel
 Vcs-Git: https://salsa.debian.org/swaywm-team/fuzzel.git
 Vcs-Browser: https://salsa.debian.org/swaywm-team/fuzzel
@@ -30,6 +31,8 @@
 Package: fuzzel
 Architecture: any
 Multi-Arch: foreign
+Static-Built-Using:
+ ${dh-builtusing:libnanosvg-dev},
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,9 @@
 %:
 	dh $@
 
+override_dh_auto_configure:
+	dh_auto_configure -- -Dsystem-nanosvg=enabled
+
 override_dh_auto_install:
 	dh_auto_install
 	rm -f debian/fuzzel/usr/share/doc/fuzzel/LICENSE

## fuzzel 1.12.0+ds

=== meson_options.txt ===
option('enable-cairo', type: 'feature', description: 'use cairo; required by the librsvg SVG icon backend')
option('png-backend', type: 'combo', choices: ['none', 'libpng'], value: 'libpng', description: 'enable support for PNG icons')
option('svg-backend', type: 'combo', choices: ['none', 'librsvg', 'nanosvg'], value: 'nanosvg', description: 'enables support for SVG icons (librsvg: also requires cairo, nanosvg: bundled)')
option('system-nanosvg', type: 'feature', value: 'disabled',
       description: 'use system\'s nanosvg instead of the bundled version')

=== debian/changelog ===
fuzzel (1.12.0+ds-1) unstable; urgency=medium

  * New upstream release (Closes: #1102596)
  * Drop patches applied upstream
  * Bump Standards-Version to 4.7.2

 -- Peter Colberg <peter@colberg.org>  Sat, 12 Apr 2025 16:56:33 -0400

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
  pkgconf,
  scdoc,
  wayland-protocols,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://codeberg.org/dnkl/fuzzel
 Vcs-Git: https://salsa.debian.org/swaywm-team/fuzzel.git
 Vcs-Browser: https://salsa.debian.org/swaywm-team/fuzzel

=== debian/watch ===
version=4
opts="searchmode=plain,dversionmangle=s/\+ds$//,repacksuffix=+ds,filenamemangle=s#.+/(\d[\d.]+)\.tar\.gz#fuzzel-$1.tar.gz#" \
https://codeberg.org/api/v1/repos/dnkl/fuzzel/tags \
https://codeberg.org/dnkl/fuzzel/archive/(\d[\d.]+)\.tar\.gz
